Opened 13 years ago

Last modified 7 years ago

#412 closed defect (Fixed)

Tor v0.1.2.12-rc segfaults after a while

Reported by: Orum Owned by:
Priority: Low Milestone:
Component: Core Tor/Tor Version: 0.1.2.10-rc
Severity: Keywords:
Cc: Orum, nickm Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

uname -mrs
FreeBSD 6.2-RELEASE-p3 i386

Tor version 0.1.2.12-rc.

Core was generated by `tor'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib/libz.so.3...done.
Loaded symbols for /lib/libz.so.3
Reading symbols from /lib/libssl.so.5...done.
Loaded symbols for /lib/libssl.so.5
Reading symbols from /lib/libcrypto.so.5...done.
Loaded symbols for /lib/libcrypto.so.5
Reading symbols from /lib/libpthread.so.2...done.
Loaded symbols for /lib/libpthread.so.2
Reading symbols from /lib/libevent-1.2a.so.1...done.
Loaded symbols for /lib/libevent-1.2a.so.1
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /libexec/ld-elf.so.1...done.
Loaded symbols for /libexec/ld-elf.so.1
#0 0x2827f537 in pthread_testcancel () from /lib/libpthread.so.2
[New Thread 0x8110200 (runnable)]
[New Thread 0x8110000 (LWP 100098)]
[New Thread 0x80f4000 (runnable)]
[New LWP 100066]
(gdb) where
#0 0x2827f537 in pthread_testcancel () from /lib/libpthread.so.2
#1 0x28277ec8 in pthread_mutexattr_init () from /lib/libpthread.so.2
#2 0x28108450 in ?? ()

[Automatically added by flyspray2trac: Operating System: BSD]

Child Tickets

Change History (8)

comment:1 Changed 13 years ago by arma

Upgrade your libevent to the latest (1.3a) and try again?

comment:2 Changed 13 years ago by arma

Whoops. I mean the latest (1.3b).

comment:3 Changed 12 years ago by Orum

There seem to be no problems after upgrading to 1.3b. Been running for several days now with no problems. Thanks!

comment:4 Changed 12 years ago by nickm

What version were you using before? We should have Tor warn you to upgrade when you start.

comment:5 Changed 12 years ago by Orum

It's listed in the debug info (Loaded symbols for /lib/libevent-1.2a.so.1).

comment:6 Changed 12 years ago by nickm

Okay, Tor 0.1.2.14 and Tor svn both warn when using BSD-ish operating systems with older libevents.

comment:7 Changed 12 years ago by nickm

flyspray2trac: bug closed.

comment:8 Changed 7 years ago by nickm

Component: Tor RelayTor
Note: See TracTickets for help on using tickets.